%
%  Channel frequency response
%
numpts=1000;
alpha=0.7*exp(j*pi/3);
tau1=0.25;
freq=linspace(-2,2,numpts+1);
h_filt=sqrt(1-abs(alpha)^2)+alpha*exp(-j*2*pi*freq*tau1);
figure(1)
plot(freq,abs(h_filt))
xlabel('Normalized frequency, fT','Fontsize',14)
ylabel('|H_z(f)|','Fontsize',14)
axis([-2 2 0 2])
