% A progroam to play with stream modulations in ISI channels
% Specialized for two taps
%
gvec=[1 1/7];
N_0=0.1;
glong=toeplitz([gvec zeros(1,20)])+N_0*eye(22);
%
%  Solving for filter
%
b=(1+N_0)/gvec(2);
zm=(-b-sqrt(b^2-4))/2;
zp=(-b+sqrt(b^2-4))/2;
w0=(1+zp^2)/(1+N_0);
(1+N_0)*[-zp/w0 1 -zp/w0]
[w0 zp*w0 zp^2*w0]
ginvlong=inv(glong);
ginvlong(1,:)
ginvlong(11,:)
