% 
% Generating the spectrum of OFDM
% Author: M. Fitz
% Last modified: 9/24/01
% 
close all
clear all
numpts=2048;
K_b=4;
f_d=0.5;
freq=linspace(-10,10, numpts+1);
g_pr=zeros(1,numpts+1);
figure(1)
hold on
dum1=sinc(freq/4).^2;
dumdb=10*log10(dum1);
plot(freq,dumdb,'r:')
g_pr=g_pr+dum1;
g_prdb=10*log10(g_pr);
plot(freq,g_prdb)
axis([-10 10 -50 0])
xlabel('Normalized frequency, fT_p')
ylabel('Normalized energy spectrum per bit')
hold off
